Package org.apache.sling.testing.clients.osgi

# Class ComponentInfo

java.lang.Object
org.apache.sling.testing.clients.osgi.ComponentInfo

public class ComponentInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`ComponentInfo(com.fasterxml.jackson.databind.JsonNode root)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getId()`
`String`
`getName()`
`String`
`getPid()`
`Component.Status`
`getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComponentInfo

public ComponentInfo(com.fasterxml.jackson.databind.JsonNode root) throws TestingValidationException

Throws:
  `TestingValidationException`

## Method Details

### getId

public int getId()

Returns:
  the component identifier

### getName

public String getName()

Returns:
  the component name

### getStatus

public Component.Status getStatus()

Returns:
  the component status

### getPid

public String getPid()

Returns:
  the component persistent identifier